<?php

class WactExamplesViewRepeatTestCase extends Wact_Test_Case_Web {

    function testExists() {
        $this->assertTrue($this->get(
            $this->getTestServerUrl('/acceptance/view/repeat.php')));
        $this->assertNormalPage();
        $this->assertWantedPattern('~
          <TABLE[^>]*>\s*
              <TR[^>]*>\s*
                <TD[^>]*>George</TD>\s*
                <TD[^>]*>Washington</TD>\s*
              </TR>\s*
              <TR[^>]*>\s*
                <TD[^>]*>Alexander</TD>\s*
                <TD[^>]*>Hamilton</TD>\s*
              </TR>\s*
              <TR[^>]*>\s*
                <TD[^>]*>Benjamin</TD>\s*
                <TD[^>]*>Franklin</TD>\s*
              </TR>\s*
          </TABLE>\s*
          ~imx');
    }

}

?>